Subject: Re: [bug#28055] [WIP] Add knot tests

From: [email-masked] (Ludovic Courtès)
Date: Fri, 01 Dec 2017 11:23:53 +0100

Julien,

Did you have a chance to look into that?

TIA,
Ludo’.

[email-masked] (Ludovic Courtès) skribis:

> Howdy,
>
> Ricardo Wurmus <[email-masked]> skribis:
>
>>> This patch aims at adding a system test for knot. I've implemented the
>>> DNS protocol to be able to communicate with the server and try some
>>> queries. Unfortunately, although the server seems to be launched (the
>>> first test passes), it then refuses to answer. Do you see anything
>>> wrong, or anything I could do to understand why it doesn't pass?
>>
>> It looks like overkill to implement DNS queries with bytevectors from
>> the ground up.  Is there not an easier way to make a DNS test?
>
> It’s a bit overkill indeed… but I like it.  :-)
>
> Julien: could you move the DNS code to a new module, say (guix dns), and
> then add the Knot test?
>
> (So first patch adds (guix dns), second patch adds the test.)
>
> In passing, for (guix dns) it would be nice if you could add docstrings
> as you see fit, and attempt to use full words in identifiers (“address”
> rather than “addr”, “resolve” rather than “resolv”, etc.¹).
>
> This looks really nice, thanks for working on it!
>
> Ludo’.
>
> ¹ https://www.gnu.org/software/guix/manual/html_node/Formatting-Code.html